package saccubus.converter.classic.profile;

import java.io.File;

/**
 *
 * @author yuki
 */
public class OutputFileSetting implements saccubus.converter.profile.OutputProfile {

    private final boolean convert;
    private final boolean appendPrefixVideoId;
    private final boolean addComment;
    private final boolean addTcomment;

    public OutputFileSetting(boolean convert, boolean appendPrefixVideoId, boolean addComment,
            boolean addTcomment) {
        this.convert = convert;
        this.appendPrefixVideoId = appendPrefixVideoId;
        this.addComment = addComment;
        this.addTcomment = addTcomment;
    }

    @Override
    public boolean isConvert() {
        return convert;
    }

    public boolean isAppendPrefixVideoId() {
        return appendPrefixVideoId;
    }

    @Override
    public boolean isAddComment() {
        return addComment;
    }

    public boolean isAddTcomment() {
        return addTcomment;
    }

    @Override
    public File getDir() {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public String getFileName() {
        throw new UnsupportedOperationException("Not supported yet.");
    }
}
