package yukihane.inqubus.config;

import yukihane.inqubus.conifg.Properties;
import java.lang.reflect.Field;
import org.apache.commons.configuration.ConfigurationException;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author yuki
 */
public class PropertiesTest {

    @Test
    public void test() throws ConfigurationException, IllegalArgumentException, IllegalAccessException {
        Properties p = Properties.INSTANCE;
        p.load();
        Field[] fields = p.getClass().getDeclaredFields();
        for(Field f: fields){
            f.setAccessible(true);
            System.out.println(f.get(p));
        }
    }
    @Test
    public void test2() throws ConfigurationException, IllegalArgumentException, IllegalAccessException {
        Properties p = Properties.INSTANCE;
        p.load();
        p.setDbLocation("d_loc");
        p.save();
        Field[] fields = p.getClass().getDeclaredFields();
        for(Field f: fields){
            f.setAccessible(true);
            System.out.println(f.get(p));
        }
    }
}
