package saccubus.converter.profile;

/**
 * {@link saccubus.converter.Converter.Converter}が必要とするプロファイルです.
 * Converterを使用するクライアントは, このインタフェースを実装するクラスのインスタンスで
 * Converterへ処理させる内容を通知します.
 * @author yuki
 */
public interface Profile {

    LoginProfile getLoginInfo();

    ProxyProfile getProxySetting();

    VideoProfile getVideoSetting();

    CommentProfile getCommentSetting();

    OutputProfile getOutputFileSetting();

    ConvertProfile getFfmpeg();

    GeneralProfile getGeneralSetting();
}
