package yukihane.inqubus.worker;

import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import yukihane.inqubus.model.Item;

/**
 * いんきゅばすが行う処理を管理します.
 * @author yuki
 */
public enum EventManager {

    INSTANCE;
    private static final Logger logger = Logger.getLogger(EventManager.class.getName());
    private final List<Item> itemList = new ArrayList<Item>();

    /**
     * 処理対象を追加します.
     * @param i 処理対象.
     */
    public synchronized void addItem(Item i) {
        itemList.add(i);
        process();
    }

    /**
     * アイテムリストに入っているアイテムを処理します.
     */
    private void process() {
    }
}
